Eclipse Platform Release 3.7

## org.eclipse.core.databinding.beans
Interface IBeanObservable

All Superinterfaces:
  IObserving

    public interface IBeanObservable

extends IObserving

Provides access to details of bean observables.

This interface is not meant to be implemented by clients.

Since:
  3.3

Method Summary
`PropertyDescriptor` `getPropertyDescriptor()`

Methods inherited from interface org.eclipse.core.databinding.observable.IObserving
`getObserved`

Method Detail

### getPropertyDescriptor

    PropertyDescriptor getPropertyDescriptor()

  Returns:
    property descriptor of the property being observed, `null` if the runtime time information was not provided on construction of the observable

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.